ManageVREUsersPortlet (Register VRE Users 1.4.1-SNAPSHOT API)
Date: 2015-12-21

org.gcube.portlets.admin.manageusers.server.portlet

## Class ManageVREUsersPortlet

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.gcube.portlets.admin.manageusers.server.portlet.ManageVREUsersPortlet

- All Implemented Interfaces:
    javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

      public class ManageVREUsersPortlet
      extends javax.portlet.GenericPortlet

  ManageVREUsersPortlet Portlet Class
  Version:
    1.0 Feb 2014
  Author:
    Massimiliano Assante - ISTI CNR

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManageVREUsersPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, doDispatch, doEdit, doHeaders, doHelp, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, init, processEvent, render, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManageVREUsersPortlet

          public ManageVREUsersPortlet()

  - ### Method Detail

    - #### doView

          public void doView(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### processAction

          public void processAction(javax.portlet.ActionRequest request,
                           javax.portlet.ActionResponse response)
                             throws javax.portlet.PortletException,
                                    IOException

      Specified by:
        `processAction` in interface `javax.portlet.Portlet`
      Overrides:
        `processAction` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

Copyright © 2015. All Rights Reserved.